{
  "name": "output/manager/product/product_stock/project_material.json",
  "options": {
    "grid_option": {
      "header_height2": 46
    }
  },
  "columns_not_in_use": [
    {
      "variable": "checkmark",
      "width": 20,
      "name": "√"
    },
    {
      "field": "prst_original_amount",
      "width": 50,
      "name": "Edell. tarve",
      "name2": "Projektin vanha määrä",
      "format": "%'.2f"
    }
  ],
  "columns": [
    {
      "field": "prst_product_id",
      "width": 70,
      "name": "Materiaali",
      "enterable": false
    },
    {
      "field": "pr_name",
      "width": 170,
      "name": "Nimi"
    },
    {
      "variable": "calculated_amount",
      "width": 50,
      "name": "Tarve",
      "name2": "Projektin määrä",
      "format": "%'.2f",
      "cellClassRulesXX": {
        "": "x < 0",
        "grey": "x == 0",
        "blue": "x > 0"
      },
      "cellEditorParamsXX": {
        "values": "popup.product",
        "popup_field": "value",
        "set_popup_show_field": "sor_explanation"
      }
    },
    {
      "field": "pr_stock_unit",
      "width": 30,
      "name": "Yks."
    },
    {
      "variable": "stock_balance",
      "width": 50,
      "name": "Varastossa",
      "name2": "Projektin varastossa",
      "format": "%'.2f"
    },
    {
      "variable": "coming_amount",
      "width": 50,
      "name": "Tulossa",
      "name2": "Projektille tulossa",
      "format": "%'.2f"
    },
    {
      "variable": "need_amount",
      "width": 50,
      "name": "Tilaustarve",
      "name2": "Laskennallinen tilaustarve",
      "format": "%'.2f",
      "cellClassRules": {
        "black": "x > 0",
        "white": "x <= 0"
      },
      "cellClassRulesFunction": {
        "blue": "param.node.data.pr_stock_balance < param.node.data.need_amount"
      }
    },
    {
      "variable": "order_amount",
      "width": 50,
      "name": "Tilataan",
      "format": "%'.2f",
      "enterable": true,
      "cellClassRules": {
        "blue": "x > 0",
        "white": "x <= 0"
      }
    },
    {
      "field": "pr_minimum_order_amount",
      "width": 50,
      "name": "Min. h.erä",
      "name2": "Minimihankintaerä",
      "format": "%'.2f"
    },
    {
      "field": "pr_stock_balance",
      "width": 50,
      "name": "Saldo yht.",
      "name2": "Varastossa yht.",
      "format": "%'.2f"
    },
    {
      "field": "pr_supplier_id",
      "width": 70,
      "name": "Toimittaja",
      "enterable": true
    },
    {
      "field": "prst_project_id",
      "width": 50,
      "name": "Projekti"
    },
    {
      "field": "prst_stock_id",
      "width": 60,
      "name": "Varasto id",
      "hide": true
    },
    {
      "variable": "row_type",
      "width": 70,
      "name": "Rivin tyyppi",
      "hide": true
    },
    {
      "field": "prst_record_id",
      "width": 60,
      "name": "Record id",
      "hide": true
    },
    {
      "field": "pr_product_type",
      "width": 70,
      "name": "Tuotteen tyyppi",
      "hideZ": true
    }
  ]
}
